Sisimai::Reason::RequirePTR(3pm)

NAME
Sisimai::Reason::RequirePTR - Bounce reason is "requireptr" or not.

SYNOPSIS
    use Sisimai::Reason::RequirePTR;
    print Sisimai::Reason::->match('The IP address sending this message does not have a PTR recor'); # 1

DESCRIPTION
"Sisimai::Reason::RequirePTR" checks the bounce reason is "requireptr" or not. This class is called only from "Sisimai::Reason" class.

This is the error that the SMTP connection was rejected due to missing PTR record or having invalid PTR record at the source IP address used for the SMTP connection.

    host gmail-smtp-in.l.google.com[142.251.170.27] said:
    [192.0.2.25] The IP address sending this message does not have a PTR record setup, or the
    corresponding forward DNS entry does not point to the sending IP. As a policy, Gmail does
    not accept messages from IPs with missing PTR records. For more information, go to
    https://support.google.com/mail/answer/81126#ip-practices (in reply to end of DATA command)

CLASS METHODS

  "text()"
text() method returns the fixed string "requireptr".

    print Sisimai::Reason::RequirePTR->text;  # "requireptr"

match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::RequirePTR->match('Reverse DNS failed');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "requireptr". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2024-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.